<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capabilities_delegate.html">capabilitiesDelegate</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1capabilities_delegate_1_1test.html">test</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_http_put.html">TestHttpPut</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">alexaClientSDK::capabilitiesDelegate::test::TestHttpPut Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_http_put.html">alexaClientSDK::capabilitiesDelegate::test::TestHttpPut</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_http_put.html#a3be5ecb23e1841a90b67ddd551d54982">doPut</a>(const std::string &amp;url, const std::vector&lt; std::string &gt; &amp;headers, const std::string &amp;data) override</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_http_put.html">alexaClientSDK::capabilitiesDelegate::test::TestHttpPut</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_http_put.html#a691a39cdc25e45711b98a5b6b9938719">getRequestData</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_http_put.html">alexaClientSDK::capabilitiesDelegate::test::TestHttpPut</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_http_put.html#a7a96ffc538438a1fee1fe1c9a781add7">getRequestHeaders</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_http_put.html">alexaClientSDK::capabilitiesDelegate::test::TestHttpPut</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_http_put.html#a18df84fefbf237ebeb89575cf1dfa29c">getRequestUrl</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_http_put.html">alexaClientSDK::capabilitiesDelegate::test::TestHttpPut</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_http_put.html#aa98335574ce0122dcc95ee377c6f2f5f">reset</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_http_put.html">alexaClientSDK::capabilitiesDelegate::test::TestHttpPut</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_http_put.html#a0c0864154ea2546d469b1bd8a9fe7711">setResponseBody</a>(std::string httpResponseBody)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_http_put.html">alexaClientSDK::capabilitiesDelegate::test::TestHttpPut</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_http_put.html#af081db2840c563e47c2aa4a73fcf79be">setResponseCode</a>(long httpResponseCode)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_http_put.html">alexaClientSDK::capabilitiesDelegate::test::TestHttpPut</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_http_put.html#a279e1b6a4162956f02b4385c4e30b3ac">TestHttpPut</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1capabilities_delegate_1_1test_1_1_test_http_put.html">alexaClientSDK::capabilitiesDelegate::test::TestHttpPut</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_http_put_interface.html#ace9e561a6b8d5acb626ac756185c37fb">~HttpPutInterface</a>()=default</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1libcurl_utils_1_1_http_put_interface.html">alexaClientSDK::avsCommon::utils::libcurlUtils::HttpPutInterface</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
